Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.export.modules
Class BaseImporterModule

    java.lang.Object
      com.jaspersoft.jasperserver.export.modules.BaseImporterModule

All Implemented Interfaces:
  ImporterModule

Direct Known Subclasses:
  AuthorityImporter, ReportJobsImporter, ResourceImporter

    public abstract class BaseImporterModule

extends java.lang.Object
implements ImporterModule

Version:
  $Id: BaseImporterModule.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Field Summary
`protected static CommandOut` | `commandOut`
`protected ExecutionContext` | `executionContext`
`protected ImporterModuleContext` | `importContext`
`protected org.dom4j.Element` | `indexElement`
`protected ImportInput` | `input`
`protected Parameters` | `params`

Constructor Summary
`BaseImporterModule()`

Method Summary
`protected java.lang.Object` | `deserialize(java.lang.String parentPath, java.lang.String fileName, ObjectSerializer serializer)`
`protected java.io.InputStream` | `getFileInput(java.lang.String parentPath, java.lang.String fileName)`
`java.lang.String` | `getId()`
`protected java.lang.String` | `getParameterValue(java.lang.String name)`
`void` | `init(ImporterModuleContext moduleContext)`
`void` | `setId(java.lang.String id)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.jaspersoft.jasperserver.export.modules.ImporterModule
`process`

Field Detail

### commandOut

    protected static final CommandOut commandOut

### importContext

    protected ImporterModuleContext importContext

### params

    protected Parameters params

### executionContext

    protected ExecutionContext executionContext

### input

    protected ImportInput input

### indexElement

    protected org.dom4j.Element indexElement

Constructor Detail

### BaseImporterModule

    public BaseImporterModule()

Method Detail

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `ImporterModule`

### setId

    public void setId(java.lang.String id)

### init

    public void init(ImporterModuleContext moduleContext)

  Specified by:
    `init` in interface `ImporterModule`

### getParameterValue

    protected java.lang.String getParameterValue(java.lang.String name)

### deserialize

    protected final java.lang.Object deserialize(java.lang.String parentPath,
                                                 java.lang.String fileName,
                                                 ObjectSerializer serializer)

### getFileInput

    protected java.io.InputStream getFileInput(java.lang.String parentPath,
                                               java.lang.String fileName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.